NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Features::GuidedExtensionBuilderEx Class Reference

Represents a NXOpen::Features::GuidedExtensionEx builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateGuidedExtensionBuilderEx
Default values. More...

Inheritance diagram for NXOpen::Features::GuidedExtensionBuilderEx:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  SegmentType { SegmentTypeNormal, SegmentTypeTransition, SegmentTypeBypass }
 Segment type for segments. More...
 
enum  Types { TypesTangentFromFaces, TypesVector }
 Option types to create guided extension surface. More...
 

Public Member Functions

double AngleTolerance ()
 Returns the angle tolerance for use in creating the guided extension surfaces
Created in NX10.0.0. More...
 
void ChangeFacesSideOption (bool flipFacesSideOption)
 Changes the option for the side of faces
Created in NX10.0.0. More...
 
void ChangeGuideLineDirectionAndLength (NXOpen::Curve *guideLine, const NXOpen::Vector3d &guideLineVector, double guideLineLength)
 Changes the direction and length of a guide line. More...
 
bool CheckSurfaces ()
 Returns the option for checking the resulting guided extension surfaces for geometry issues
Created in NX10.0.0. More...
 
NXOpen::CurveCreateGuideLine (NXOpen::Edge *assocEdge, const NXOpen::Point3d &guideLinePnt, const NXOpen::Vector3d &guideLineVector, double guideLineLength)
 Creates a guide line at one of the end points of the sheet edge in the selection. More...
 
double DistanceTolerance ()
 Returns the distance tolerance for use in creating the guided extension surfaces
Created in NX10.0.0. More...
 
NXOpen::ExpressionExtendLength ()
 Returns the extend length for use in creating the guided extension surfaces
Created in NX10.0.0. More...
 
NXOpen::ExpressionGuideLineAngle1 ()
 Returns the rotation angle for the first guide line at one of the end points of the selected segment
Created in NX10.0.0. More...
 
NXOpen::ExpressionGuideLineAngle2 ()
 Returns the rotation angle for the second guide line at one of the end points of the selected segment
Created in NX10.0.0. More...
 
int LastSelectedLoopIndex ()
 Returns the loop index for the last selected loop which contains the last selected edge. More...
 
void MergeSegment ()
 Merges the selected segment with its neighboring segments. More...
 
bool PlanarSurfacePreferred ()
 Returns the option to create planar surface when possible
Created in NX10.0.0. More...
 
NXOpen::DirectionReferenceVector ()
 Returns the reference vector which is active when the type is vector
Created in NX10.0.0. More...
 
void ResetAllSegments ()
 The action that resets all the segments in the loop to their original state
Created in NX10.0.0. More...
 
void RestoreSegments ()
 Unmerges the selected segment restoring the original segments before the merge using NXOpen::Features::GuidedExtensionBuilderEx::MergeSegment . More...
 
NXOpen::ScCollectorSegmentEdges ()
 Returns the list of segment edges that represent a segment
Created in NX10.0.0. More...
 
void SetAngleTolerance (double angleTolerance)
 Sets the angle tolerance for use in creating the guided extension surfaces
Created in NX10.0.0. More...
 
void SetCheckSurfaces (bool checkSurfaces)
 Sets the option for checking the resulting guided extension surfaces for geometry issues
Created in NX10.0.0. More...
 
void SetDistanceTolerance (double distanceTolerance)
 Sets the distance tolerance for use in creating the guided extension surfaces
Created in NX10.0.0. More...
 
void SetLastSelectedLoopIndex (int lastSelectedLoopIndex)
 Sets the loop index for the last selected loop which contains the last selected edge. More...
 
void SetPlanarSurfacePreferred (bool planarSurfacePreferred)
 Sets the option to create planar surface when possible
Created in NX10.0.0. More...
 
void SetReferenceVector (NXOpen::Direction *referenceVector)
 Sets the reference vector which is active when the type is vector
Created in NX10.0.0. More...
 
void SetReverseExtendDirection (bool reverseExtendDirection)
 Reverses surface extend direction
Created in NX10.0.0. More...
 
void SetSelectedSegmentType (NXOpen::Features::GuidedExtensionBuilderEx::SegmentType segmentType)
 Sets the segment type for the selected segment. More...
 
void SetType (NXOpen::Features::GuidedExtensionBuilderEx::Types type)
 Sets the option type to create guided extension surface
Created in NX10.0.0. More...
 
void SetVectorOrigin (NXOpen::Point *vectorOrigin)
 Sets the origin of the reference vector
Created in NX10.0.0. More...
 
NXOpen::SectionSheetEdges ()
 Returns the sheet edges of a sheet body
Created in NX10.0.0. More...
 
void SplitSegment ()
 Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment. More...
 
NXOpen::Features::GuidedExtensionBuilderEx::Types Type ()
 Returns the option type to create guided extension surface
Created in NX10.0.0. More...
 
void UpdateAllGuideLinesLength ()
 Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively. More...
 
void UpdateExtendDirectionsAndGuideLines (bool typeChanged)
 Updates the extend direction of curves and guide lines whenever the type of guided extension or the draw direction changes. More...
 
void UpdateSheetEdges ()
 Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected. More...
 
NXOpen::PointVectorOrigin ()
 Returns the origin of the reference vector
Created in NX10.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Features::GuidedExtensionEx builder
To create a new instance of this class, use NXOpen::Features::FeatureCollection::CreateGuidedExtensionBuilderEx
Default values.

Property Value

AngleTolerance

0.5

CheckSurfaces

0

DistanceTolerance

0.01

ExtendLength.Value

10 (millimeters part), 10 (inches part)

GuideLineAngle1.Value

0

GuideLineAngle2.Value

0

PlanarSurfacePreferred

1


Created in NX10.0.0.

Member Enumeration Documentation

Segment type for segments.

Enumerator
SegmentTypeNormal 

Normal segment type.

SegmentTypeTransition 

Transition segment type.

SegmentTypeBypass 

Bypass segment type.

Option types to create guided extension surface.

Enumerator
TypesTangentFromFaces 

Extend tangentially from faces.

TypesVector 

Perpendicular to a vector.

Member Function Documentation

double NXOpen::Features::GuidedExtensionBuilderEx::AngleTolerance ( )

Returns the angle tolerance for use in creating the guided extension surfaces
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::ChangeFacesSideOption ( bool  flipFacesSideOption)

Changes the option for the side of faces
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
flipFacesSideOptionChange the side of faces option
void NXOpen::Features::GuidedExtensionBuilderEx::ChangeGuideLineDirectionAndLength ( NXOpen::Curve guideLine,
const NXOpen::Vector3d guideLineVector,
double  guideLineLength 
)

Changes the direction and length of a guide line.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
guideLineGuide line to be changed
guideLineVectorDirection vector
guideLineLengthLength of guide line
bool NXOpen::Features::GuidedExtensionBuilderEx::CheckSurfaces ( )

Returns the option for checking the resulting guided extension surfaces for geometry issues
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Curve* NXOpen::Features::GuidedExtensionBuilderEx::CreateGuideLine ( NXOpen::Edge assocEdge,
const NXOpen::Point3d guideLinePnt,
const NXOpen::Vector3d guideLineVector,
double  guideLineLength 
)

Creates a guide line at one of the end points of the sheet edge in the selection.

Returns
Guide line created
Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")
Parameters
assocEdgeAssociated curve of the guide line to be created
guideLinePntGuide line point
guideLineVectorGuide line vector
guideLineLengthGuide line length
double NXOpen::Features::GuidedExtensionBuilderEx::DistanceTolerance ( )

Returns the distance tolerance for use in creating the guided extension surfaces
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Features::GuidedExtensionBuilderEx::ExtendLength ( )

Returns the extend length for use in creating the guided extension surfaces
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Features::GuidedExtensionBuilderEx::GuideLineAngle1 ( )

Returns the rotation angle for the first guide line at one of the end points of the selected segment
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Expression* NXOpen::Features::GuidedExtensionBuilderEx::GuideLineAngle2 ( )

Returns the rotation angle for the second guide line at one of the end points of the selected segment
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

int NXOpen::Features::GuidedExtensionBuilderEx::LastSelectedLoopIndex ( )

Returns the loop index for the last selected loop which contains the last selected edge.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::MergeSegment ( )

Merges the selected segment with its neighboring segments.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

bool NXOpen::Features::GuidedExtensionBuilderEx::PlanarSurfacePreferred ( )

Returns the option to create planar surface when possible
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Direction* NXOpen::Features::GuidedExtensionBuilderEx::ReferenceVector ( )

Returns the reference vector which is active when the type is vector
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::ResetAllSegments ( )

The action that resets all the segments in the loop to their original state
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::RestoreSegments ( )

Unmerges the selected segment restoring the original segments before the merge using NXOpen::Features::GuidedExtensionBuilderEx::MergeSegment .


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::ScCollector* NXOpen::Features::GuidedExtensionBuilderEx::SegmentEdges ( )

Returns the list of segment edges that represent a segment
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::SetAngleTolerance ( double  angleTolerance)

Sets the angle tolerance for use in creating the guided extension surfaces
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
angleToleranceangletolerance
void NXOpen::Features::GuidedExtensionBuilderEx::SetCheckSurfaces ( bool  checkSurfaces)

Sets the option for checking the resulting guided extension surfaces for geometry issues
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
checkSurfaceschecksurfaces
void NXOpen::Features::GuidedExtensionBuilderEx::SetDistanceTolerance ( double  distanceTolerance)

Sets the distance tolerance for use in creating the guided extension surfaces
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
distanceTolerancedistancetolerance
void NXOpen::Features::GuidedExtensionBuilderEx::SetLastSelectedLoopIndex ( int  lastSelectedLoopIndex)

Sets the loop index for the last selected loop which contains the last selected edge.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
lastSelectedLoopIndexlastselectedloopindex
void NXOpen::Features::GuidedExtensionBuilderEx::SetPlanarSurfacePreferred ( bool  planarSurfacePreferred)

Sets the option to create planar surface when possible
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
planarSurfacePreferredplanarsurfacepreferred
void NXOpen::Features::GuidedExtensionBuilderEx::SetReferenceVector ( NXOpen::Direction referenceVector)

Sets the reference vector which is active when the type is vector
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
referenceVectorreferencevector
void NXOpen::Features::GuidedExtensionBuilderEx::SetReverseExtendDirection ( bool  reverseExtendDirection)

Reverses surface extend direction
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
reverseExtendDirectionReverse surface extend direction
void NXOpen::Features::GuidedExtensionBuilderEx::SetSelectedSegmentType ( NXOpen::Features::GuidedExtensionBuilderEx::SegmentType  segmentType)

Sets the segment type for the selected segment.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
segmentTypeSegment type for the selected segment
void NXOpen::Features::GuidedExtensionBuilderEx::SetType ( NXOpen::Features::GuidedExtensionBuilderEx::Types  type)

Sets the option type to create guided extension surface
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typetype
void NXOpen::Features::GuidedExtensionBuilderEx::SetVectorOrigin ( NXOpen::Point vectorOrigin)

Sets the origin of the reference vector
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
vectorOriginvectororigin
NXOpen::Section* NXOpen::Features::GuidedExtensionBuilderEx::SheetEdges ( )

Returns the sheet edges of a sheet body
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::SplitSegment ( )

Splits the selected segment into multiple segments by placing guide lines at end points of the edges for the selected segment.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Features::GuidedExtensionBuilderEx::Types NXOpen::Features::GuidedExtensionBuilderEx::Type ( )

Returns the option type to create guided extension surface
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::UpdateAllGuideLinesLength ( )

Updates the length of all the guide lines whenever the user changes the extend length of the surfaces interactively.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

void NXOpen::Features::GuidedExtensionBuilderEx::UpdateExtendDirectionsAndGuideLines ( bool  typeChanged)

Updates the extend direction of curves and guide lines whenever the type of guided extension or the draw direction changes.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
typeChangedtypechanged
void NXOpen::Features::GuidedExtensionBuilderEx::UpdateSheetEdges ( )

Updates the information for the sheet edges of the selected section whenever sheet edges are selected or de-selected.


Created in NX10.0.0.

License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")

NXOpen::Point* NXOpen::Features::GuidedExtensionBuilderEx::VectorOrigin ( )

Returns the origin of the reference vector
Created in NX10.0.0.



License requirements : solid_modeling ("SOLIDS MODELING") OR nx_freeform_2 ("advanced freeform modeling") OR ug_mold_design ("UG MOLD") OR die_engineering ("DIE ENGINEERING") OR prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.